Subject: Re: [mmox] Permissions

From: Jesrad <[email-masked]>
Date: Mon, 2 Mar 2009 13:25:46 +0100

> In the general case, letting arbitrary, untrusted clients introduce content
> into a virtual world is not desirable.

That is not what I described. In the Solipsis model you can exclude
anything from entering or remaining in your own partial podel of the
virtual world, at any time, because you have full authority on it (it
runs on your node): data flows can be blocked on either side, so no
one is "forced" to accept any unwanted data in the world they
see/simulate. In fact that's what I mean by "you can have
inconsistency if you want it": let's say a griefer can come to some
place and start rezzing giant penises, while none of it shows on
everyone else's screens - in fact if you filter P2P links on an
identity basis, no one even waste any bandwidth on any of it. Filter
your own data out, and the griefer cannot even know there are other
people around.

So, being able to unilaterally introduce inconsistency in the shared
simulation is actually very valuable, and bypasses entirely any of the
features VWs may use to address these potential abuses (SL has "red
banlines", "no build/no script zoning", "eject" and "autoreturn", I do
not know what OLIVE has ?).

On Mon, Feb 23, 2009 at 11:51 PM, Jon Watte <[email-masked]> wrote:
> Jesrad wrote:
>>>
>>> soccer ball. My argument is simply against the idea that a single client
>>> connecting to two separate virutal world servers could provide a usefully
>>> consistent view of a virtual world simulation.
>>>
>>
>> Well, that's precisely the model Solipsis is based on, and it seems to
>> give a reasonably consistent view. The node with the soccer ball can
>> decide to let others know about it or not, and that makes little
>> difference for the rest of the world. In this model you're free to
>>
>
> In the general case, letting arbitrary, untrusted clients introduce content
> into a virtual world is not desirable. It would actually leave
> organizational users open to various kinds of discrimination and harassment
> lawsuits.
>
> However, if for Sollipsis you consider each "peer" as being a "server" in
> the proposal I've suggested (which, btw, was explicitly called out in the
> keynote slides for last year's IEEE MMVE), then it is the same model. I
> would expect that you could actually quite easily implement the proposed
> interoperability model into Sollipsis and interoperate with any other peer
> or server that wanted to interoperate with you.
>
> Sincerely,
>
> jw
>
>